Subject: Re: Quark XPress File Locking - 1.5.1.1 - File deletion?

From: [email-masked]
Date: Fri, 1 Mar 2002 09:50:23 +0100

Hi Ray,

I don't know why, but indeed, when you configure with --enable-fhs, config
files are moved from /usr/local/etc/netatalk towards /etc/netatalk...
But the most important is that it seems to work !

Well, that's pretty good !

Just one thing.  As I read different forums and FAQs, I was horrified by a
destructive behavior attributed to netatalk.
Files deleted unwillingly. It seems it is a DID problem, or a reason why
they invented DID.

Do I still need to be afraid of it, or is it history?

Regards,

Jacques Petit
Brussels

                      Ray Shaw                                                                                                          
                      <[email-masked]        To:       [email-masked]                                                      
                      du>                      cc:                                                                                      
                                               Subject:  Re: Quark XPress File Locking - 1.5.1.1                                        
                      28/02/2002 19:27                                                                                                  

On Thu, Feb 28, 2002 at 11:49:09AM -0500, Robert Thiemann wrote:
> >However, if you open the file using File -> Open from Quark, Quark
> >will put the swap file where MacOS tells it to.  This, in combination
> >with these options:
> >
> >--enable-fhs --enable-lastdid --with-flock-locks --with-pam
> >--with-tcp-wrappers
> >
> >has worked for me.  Entire sections of our newspaper have been laid
> >out on the server with no apparent problems.
>
> Ok, where does this get set? At install/compile? I did not compile
> this software. I installed via RPM. I've had bad luck compiling
> software that's "supposed to work". Plus, I am unsure which settings
> in the config file need to be set to make the server work the way i
> need in the future.

Ironically, back when I was using Red Hat 5.2 the netatalk RPMs were
broken :)

These are set at compile time via ./configure.  Is there a source RPM
available?  You should hopefully be able to give it some options,
though I haven't used RPMs in a while.

Really, netatalk is pretty easy to configure and get working; if you
use --enable-fhs (Filesystem Hierarchy Standard), all the config files
will be in /etc/netatalk, and the rest in /usr/local (except for the
uams, which seem to go in /usr/lib...bad!...but this can be fixed by
editing the Makefile).

The only file I really needed to edit was
/etc/netatalk/Applevolumes.default in order to export more than just
the home directories (which have a default entry).

I also edited netatalk.conf, but that file is equally well commented,
and in order to get basic functionality, you shouldn't need to edit
anything.

--
--Ray

-----------------------------
Sotto la panca la capra crepa
sopra la panca la capra campa